=== src/osgEarthDrivers/arcgis_map_cache/CMakeLists.txt ===
SET(TARGET_SRC ReaderWriterArcGISMapCache.cpp)
SETUP_PLUGIN(osgearth_arcgis_map_cache)
