=== debian/changelog ===
osgearth (2.5.0+dfsg-2) unstable; urgency=low

  * Drop libv8-dev build dependency, not available on all architectures and has
    a worrisome security status.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 22 Mar 2014 13:11:27 +0100

osgearth (2.5.0+dfsg-1) unstable; urgency=low

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 18 Mar 2014 00:19:23 +0100

osgearth (2.5.0+dfsg-1~exp1) experimental; urgency=low

  * Don't use git-pbuilder by default in gpb.conf.
  * Update symbols for armel, armhf, kfreebsd-amd64, kfreebsd-i386 & mipsel.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 01 Mar 2014 13:06:06 +0100

osgearth (2.5.0+dfsg-0~exp1) experimental; urgency=low

  * New upstream release.
  * Repack orig tarball with XZ compression.
  * Update Files-Excluded for osgEarth 2.5.
  * Add build dependencies on libv8-dev and libnoise-dev.
  * Refresh soversion.patch, bump SOVERSION to 3.
  * Enable KMZ support with libminizip from libkml.
  * Drop MPGeometry-OpenSceneGraph-3.1.8.patch, included in upstream.
  * Drop becuase-typo.patch, applied upstream.
  * Refresh cmake-FindMiniZip.patch.
  * Add manpage for osgearth_tileindex, osgearth_terraineffects,
    osgearth_sharedlayer & osgearth_demo.
  * Add gbp.conf to use pristine-tar and git-pbuilder by default.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 26 Jan 2014 01:56:28 +0100
